package difference;

import java.io.File;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Scanner;

public class Difference {

    /** Program to find the numbers that appear in exactly one of the two
     *  files one.txt and two.txt.
     */
    public static void main(String[] args) {
        /** Read the numbers in the first file and put them in a list. **/
        Scanner input = null;
        try {
            input = new Scanner(new File("one.txt"));
        } catch(Exception ex) {
            ex.printStackTrace();
            return;
        }
        ArrayList<Integer> numbers = new ArrayList<Integer>();
        while(input.hasNextInt()) {
            numbers.add(input.nextInt());
        }
        input.close();
        
        /** Read and process the numbers from the second list. **/
        try {
            input = new Scanner(new File("two.txt"));
        } catch(Exception ex) {
            ex.printStackTrace();
            return;
        }
        // Here is how we will find the numbers we want. For each number 
        // that we read from the second file, we first check to see if 
        // it has already appeared in the first file (and hence is in numbers).
        // If is already in numbers, remove it from numbers, since we don't 
        // want to retain any numbers that appear in both files. If it is not
        // in numbers, add it to numbers, since now we know that the number
        // appears only in file two.
        while(input.hasNextInt()) {
            Integer next = input.nextInt();
            if(numbers.contains(next))
                numbers.remove(next);
            else
                numbers.add(next);
        }
        input.close();
        
        /** Write the results out to a file. **/
        PrintWriter output = null;
        try {
            output = new PrintWriter(new File("result.txt"));
        } catch(Exception ex) {
            ex.printStackTrace();
            return;
        }
        for(int n : numbers) {
            output.println(n);
        }
        output.close();
    }
    
}
