package difference;

import java.io.File;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.Random;

public class MakeFiles {
    /** Generate N random integers in the range from 0 to N
     *  and store them in the file with name filename.
     * 
     *  Skip any duplicates when saving - this will result
     *  in less than N numbers being saved in the file.
     */
    public static void makeNumbers(String filename,int N) {
        Random random = new Random();
        ArrayList<Integer> numbers = new ArrayList<Integer>();
        // Generate N random integers and add them to numbers
        // only if they don't already appear in that list.
        for(int n = 0;n < N;n++) {
            int nextInt = random.nextInt(N);
            if(!numbers.contains(nextInt))
                numbers.add(nextInt);
        }
        // Save the numbers to the file.
        PrintWriter output = null;
        try {
            output = new PrintWriter(new File(filename));
        } catch(Exception ex) {
            ex.printStackTrace();
            return;
        }
        for(int n : numbers) {
            output.println(n);
        }
        output.close();
    }
    
    public static void main(String[] args) {
        final int N = 200000;
        makeNumbers("one.txt",N);
        makeNumbers("two.txt",N);
        System.out.println("Done");
    }
}
